Configurer une imprimante laser hp sur lenny

Le
Amandine VITAL
Coucou,

Voilà je voudrais installer une imprimante laser hp et qu'il fasse
office de serveur d'impression.
Dans les docs que j'ai vu, je dois installer cupsys.

Mais en regardant sur le site de hp, il y a un hplip à installer.

Dois-je installer les deux ?

je suppose que si le serveur n'a pas d'interface graphique, je ne peux
pas faire :
http://localhost:631

Merci
Amandine

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 5
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Fanfan
Le #19378751
--/Uq4LBwYP4y1W6pO
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Le Thursday 21 May 2009 à 00:27:11 (+0200), Amandine VITAL a écrit :
Dois-je installer les deux ?
je suppose que si le serveur n'a pas d'interface graphique, je ne peux
pas faire :
http://localhost:631




L'installation de cups installera certainement aussi hplip par le jeu
des dépendances. Cups disposera alors du protocole spécifique pour
discuter nativement avec ton imprimante. Il faut voir hplip comme un
pilote d'imprimante pour cups, dans ce cas. Ca signifie que tu accedera
à ton imprimante a travers http://localhost:631, car c'est une interface
de CUPS.

Fanfan

--
Le tien, le mien, le mien, le tien ? Si tu m'aimais tout à fait bien,
Tu dirais : "Les livres, Le chien et Nos roses".
[ Paul Géraldy ]

--/Uq4LBwYP4y1W6pO
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKFIlyn0FdfiSfsswRAp6qAJ9HY0AHsxF2tAiuRwwOUA7SaEyBdQCdGIM2
A4uxBHTP2DNnaYD4GU/7l0U =J6Sw
-----END PGP SIGNATURE-----

--/Uq4LBwYP4y1W6pO--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Amandine VITAL
Le #19379561
> L'installation de cups installera certainement aussi hplip par le jeu
des dépendances. Cups disposera alors du protocole spécifique p our
discuter nativement avec ton imprimante. Il faut voir hplip comme un
pilote d'imprimante pour cups, dans ce cas. Ca signifie que tu accedera
à ton imprimante a travers http://localhost:631, car c'est une inter face
de CUPS.



Même si je n'ai pas installé l'interface graphique sur le serveur ?
ou alors, je peux faire http://192.168.10.1:631 depuis un poste client.
l'adresse ip du serveur non ?

Merci
Amandine

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Amandine VITAL
Le #19379541
>> Même si je n'ai pas installé l'interface graphique sur le serv eur ?
ou alors, je peux faire http://192.168.10.1:631 depuis un poste client.
l'adresse ip du serveur non ?




C'est possible, à condition d'avoir explicitement configuré le serveur CUPS
dans le fichier /etc/cups/cupsd.conf
- on peut éditer ce fichier avec un éditeur (comme emacs ou vi) .



Et si je n'ai pas d'interfaces graphique, est-ce utile que j'installe
cupsys-driver-gimpprint ?

Amandine

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Amandine VITAL
Le #19385171
Coucou,

J'ai une erreur dans l'installation. J'ai recherché sur des forums,
mais je ne parviens pas à solutionner.

lorsque j'exécute : hplip-3.9.4b.run
error: A required dependency 'cups-image (CUPS image - CUPS image
development files)' is still missing.
error: Installation cannot continue without this dependency.
error: Please manually install this dependency and re-run this installer.

j'ai modifié sources.list
en rajoutant les lignes pour sid, etch
mais rien, j'ai recherché des dépendances de cups-image mais je n e
trouve pas directement.

Merci
Amandine

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Thierry B
Le #19385271
Amandine VITAL a écrit :
Coucou,

J'ai une erreur dans l'installation. J'ai recherché sur des forums,
mais je ne parviens pas à solutionner.

lorsque j'exécute : hplip-3.9.4b.run
error: A required dependency 'cups-image (CUPS image - CUPS image
development files)' is still missing.
error: Installation cannot continue without this dependency.
error: Please manually install this dependency and re-run this installer.

j'ai modifié sources.list
en rajoutant les lignes pour sid, etch
mais rien, j'ai recherché des dépendances de cups-image mais je ne
trouve pas directement.

Merci
Amandine




Hello,

Il vaut mieux installer le paquet hplip à l'aide d'aptitude.

Tu peux t'inspirer un peu de ça (même si ça vient d'Ubuntu) :
http://doc.ubuntu-fr.org/hplip (bon , par contre tout ce qui est
graphique, sera propre à Ubuntu)

Bon courage :-)



--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Amandine VITAL
Le #19385841
>> lorsque j'exécute : hplip-3.9.4b.run
error: A required dependency 'cups-image (CUPS image - CUPS image
development files)' is still missing.
error: Installation cannot continue without this dependency.
error: Please manually install this dependency and re-run this installer .


Il vaut mieux installer le paquet hplip à l'aide d'aptitude.

Tu peux t'inspirer un peu de ça (même si ça vient d'Ubuntu ) :
http://doc.ubuntu-fr.org/hplip (bon , par contre tout ce qui est graphiqu e,
sera propre à Ubuntu)



Merci pour le lien. J'aurai préféré que ce soit pour debian. :(
En regardant les docs en ligne, je vois qu'il y a bcp de doc pour
ubuntu. les drivers sur le site de hp ont été testé avec ubu ntu 9.04.
Ne ferais-je pas mieux d'installer ubuntu server ?
Et je vois que pour certaines applications, une interface graphique ça
aide bien.

Amandine.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Thierry B
Le #19385961
Amandine VITAL a écrit :
lorsque j'exécute : hplip-3.9.4b.run
error: A required dependency 'cups-image (CUPS image - CUPS image
development files)' is still missing.
error: Installation cannot continue without this dependency.
error: Please manually install this dependency and re-run this installer.


Il vaut mieux installer le paquet hplip à l'aide d'aptitude.

Tu peux t'inspirer un peu de ça (même si ça vient d'Ubuntu) :
http://doc.ubuntu-fr.org/hplip (bon , par contre tout ce qui est graphique,
sera propre à Ubuntu)



Merci pour le lien. J'aurai préféré que ce soit pour debian. :(
En regardant les docs en ligne, je vois qu'il y a bcp de doc pour
ubuntu. les drivers sur le site de hp ont été testé avec ubuntu 9.04.
Ne ferais-je pas mieux d'installer ubuntu server ?
Et je vois que pour certaines applications, une interface graphique ça
aide bien.

Amandine.




Non, je pense qu'on peut s'inspirer pas mal des docs d'Ubuntu pour les
faire marcher sous debian :-)

J'ai une imprimante HP Photosmart en ethernet qui marche bien en
impression depuis ma debian testing.

Si tu utilsies apt / aptitude, tu n'as même pas à te préoccuper de cups,
tu installes le paquet hplip, qui installera le reste par dépendance.

Voilà un exemple (sur une debian stable, qui n'a pas encore le paquet
hplip):

# aptitude install hplip
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait
Les NOUVEAUX paquets suivants vont être installés :
avahi-utils{a} cups{a} cups-client{a} cups-common{a} cupsddk{a}
cupsddk-drivers{a} foomatic-db{a} foomatic-db-engine{a}
foomatic-filters{a} hpijs{a} hplip hplip-data{a} hplip-gui{a}
libexif12{a} libffi5{a} libgphoto2-2{a} libgphoto2-port0{a}
libieee1284-3{a} libqt4-help{a} libqt4-webkit{a} libqt4-xmlpatterns{a}
libsane{a} libsane-extras{a} libslp1{a} netcat{a} netcat-traditional{a}
python-dbus{a} python-elementtree{a} python-gobject{a} python-imaging{a}
python-qt3{a} python-qt4{a} python-qt4-common{a} python-reportlab{a}
python-sip4{a} sane-utils{a} smbclient{a} ttf-dustin{a}
0 paquets mis à jour, 38 nouvellement installés, 0 à enlever et 0 non
mis à jour.
Il est nécessaire de télécharger 57,9Mo d'archives. Après dépaquetage,
162Mo seront utilisés.

Les commandes hp-setup et hp-probe dont ils parlent dans le tuto, seront
présentes aussi sous debian qd tu auras installé hplip.

Par contre, je ne connais pas ta distrib, mais je ne te conseille pas de
le modifier, enfin en tout cas, je suis sûr que tu n'as pas besoin de le
modifier pour hplip car il est présent quelque soit ta version de debian.

Bon courage :-)

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Amandine VITAL
Le #19386091
> # aptitude install hplip
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
Lecture des descriptions de tâches... Fait
Les NOUVEAUX paquets suivants vont être installés :
 avahi-utils{a} cups{a} cups-client{a} cups-common{a} cupsddk{a}
 cupsddk-drivers{a} foomatic-db{a} foomatic-db-engine{a}
 foomatic-filters{a} hpijs{a} hplip hplip-data{a} hplip-gui{a}
 libexif12{a} libffi5{a} libgphoto2-2{a} libgphoto2-port0{a}
 libieee1284-3{a} libqt4-help{a} libqt4-webkit{a} libqt4-xmlpatterns {a}
 libsane{a} libsane-extras{a} libslp1{a} netcat{a} netcat-traditiona l{a}
 python-dbus{a} python-elementtree{a} python-gobject{a} python-imagi ng{a}
 python-qt3{a} python-qt4{a} python-qt4-common{a} python-reportlab{a }
 python-sip4{a} sane-utils{a} smbclient{a} ttf-dustin{a}
0 paquets mis à jour, 38 nouvellement installés, 0 à enlev er et 0 non mis à
jour.
Il est nécessaire de télécharger 57,9Mo d'archives. Aprà ¨s dépaquetage, 162Mo
seront utilisés.

Les commandes hp-setup et hp-probe dont ils parlent dans le tuto, seront
présentes aussi sous debian qd tu auras installé hplip.



# hp-setup
-bash: hpsetup: command not found
# hp-probe
-bash: hp-probe: command not found

L'installation est mal faite peut être ?

Amandine

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Thierry B
Le #19386131
Amandine VITAL a écrit :
# hp-setup
-bash: hpsetup: command not found
# hp-probe
-bash: hp-probe: command not found

L'installation est mal faite peut être ?

Amandine




Hello,

Tu as quelle version de debian?

Pq en tout cas, je viens de tester sous stable et testing, et elles y sont.

cat /etc/apt/sources.list => pour le contenu de ton sources.list

dpkg -l | grep "hplip" => pour voir les paquets contenant "hplip" installés.

Ca te donne quoi ces deux commandes?

Si je tape :

which hp-setup , ca me donne /usr/bin/hp-setup (pareil pour hp-probe).

Bon courage :-)

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Amandine VITAL
Le #19386231
>> # hp-setup
-bash: hpsetup: command not found
# hp-probe
-bash: hp-probe: command not found



Tu as quelle version de debian?


Lenny 5.0 amd64

Pq en tout cas, je viens de tester sous stable et testing, et elles y son t.

cat /etc/apt/sources.list => pour le contenu de ton sources.list


# cat /etc/apt/sources.list
# Debian Lenny

deb http://ftp.fr.debian.org/debian/ lenny main contrib #non-free
deb-src http://ftp.fr.debian.org/debian/ lenny main contrib #non-free
deb http://ftp.fr.debian.org/debian/ sid main non-free contrib
deb http://ftp.fr.debian.org/debian/ etch main non-free contrib

deb http://security.debian.org/ lenny/updates main contrib non-free
deb-src http://security.debian.org/ lenny/updates main contrib non-free

deb http://volatile.debian.org/debian-volatile lenny/volatile main
deb-src http://volatile.debian.org/debian-volatile lenny/volatile main


dpkg -l | grep "hplip" => pour voir les paquets contenant "hplip" insta llés.


# dpkg -l | grep "hplip"
rc hplip 2.8.6.b-4 HP
Linux Printing and Imaging System (HPLIP)
ii hplip-data 2.8.6.b-4 HP
Linux Printing and Imaging - data files
rc hplip-gui 2.8.6.b-4 HP
Linux Printing and Imaging - GUI utilities

which hp-setup , ca me donne /usr/bin/hp-setup (pareil pour hp-probe).


# which hp-setup
ça ne donne rien :(

Amandine

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Publicité
Poster une réponse
Anonyme